Imports System.IO
Imports MySql.Data.MySqlClient

Partial Class Start
    Inherits System.Web.UI.MasterPage
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Page.IsPostBack = False Then
            Try
                Dim ConnString As String = ConfigurationManager.ConnectionStrings("ConnectionString").ToString()
                Dim sql As String = "SELECT Name, PageName FROM category ORDER BY Name ASC"

                ' The Using block is used to call dispose (close) automatically even if there are an exception.
                Using cn As New MySqlConnection(ConnString), _
                      cmd As New MySqlCommand(sql, cn)

                    cn.Open()
                    ' The Using block is used to call dispose (close) automatically even if there are an exception.
                    Using reader As MySqlDataReader = cmd.ExecuteReader()
                        MenuRepeater.DataSource = reader
                        MenuRepeater.DataBind()
                    End Using

                End Using
            Catch ex As Exception
                Response.Write(ex.Message)
            End Try
        End If
    End Sub
    Public Shared Function GeneratePageURL(ByVal Catname As Object) As String

        ' Create a SEO-Friendly Url for every category
        Dim strLink As String = "~/category/" & Catname & ".aspx"

        Return strLink
    End Function
    Protected Sub SearchButton_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        Response.Redirect("search.aspx?kw=" + Server.UrlEncode(SearchBox.Text))
    End Sub
End Class

